Bug 821741 - (re-)enable SEP flag on CPU models
(re-)enable SEP flag on CPU models
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.3
x86_64 Linux
high Severity medium
: rc
: ---
Assigned To: Bandan Das
Virtualization Bugs
:
: 880090 907556 916568 (view as bug list)
Depends On: 821463
Blocks: 798682 833129 916568
  Show dependency treegraph
 
Reported: 2012-05-15 09:36 EDT by Orit Wasserman
Modified: 2014-03-03 19:24 EST (History)
25 users (show)

See Also:
Fixed In Version: qemu-kvm-0.12.1.2-2.367.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-21 00:46:03 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 710913 None None None Never

  None (edit)
Description Orit Wasserman 2012-05-15 09:36:20 EDT
Description of problem:
SEP flag was so far disabled in RHEL 6 64 bit hosts , it is planned to be fixed.
Migration from host with SEP to host without SEP will fail for 32bit guest will
fail.
We need to disable SEP for machine type older than rhel6.4.0

Version-Release number of selected component (if applicable):
qemu-kvm-0.12.1.2-2.265.el6.x86_64

How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Eduardo Habkost 2012-10-08 17:39:29 EDT
Changing summary for clarity.

SEP was disabled as part of the fix for Bug 745717 (making migration work properly). This bug is about enabling the feature on hosts that have the SEP feature enabled.
Comment 4 Eduardo Habkost 2012-11-27 12:44:19 EST
*** Bug 880090 has been marked as a duplicate of this bug. ***
Comment 5 Eduardo Habkost 2012-11-27 12:47:55 EST
Please try to reproduce bug 880090 using only 6.3.z packages, to confirm this is not a regression.
Comment 6 Geyang Kong 2012-11-28 04:30:13 EST
This bug can be reproduced by 6.3.z packages

libvirt-0.9.10-21.el6_3.6.x86_64
qemu-kvm-0.12.1.2-2.295.el6_3.2.x86_64
kernel-2.6.32-279.14.1.el6.x86_64
Comment 7 Mike Cao 2012-12-25 02:49:14 EST
snip from Bug 880090

>Eduardo Habkost 2012-11-28 01:25:02 CST
>I could reproduce the issue using qemu-kvm-0.12.1.2-2.316.el6.x86_64, running >kernel 2.6.32-279.el6.x86_64 on the host, so it doesn't seem to be a regression.


What you did it hitting https://bugzilla.redhat.com/show_bug.cgi?id=832301 ,we should reproduce it on the kernel higher than build 307 instead of using 279.

According to sluo's report in https://bugzilla.redhat.com/show_bug.cgi?id=880090
qemu-kvm-0.12.1.2-2.320 + SandyBridge -------> fail
qemu-kvm-0.12.1.2-2.319 + SandyBridge -------> pass

This is a regression bug from build qemu-kvm-320 

move the product flag to rhel6.4.0 .

Mike
Comment 15 Ademar Reis 2013-01-02 16:13:07 EST
Clarifiying a few issues, please correct me if I'm wrong:

The MS certifications is about the drivers only, not the hypervisor configuration, so we should be fine in adding -cpu ... +sep to qemu cmd line

The problem affects only 32bits versions of win8 (SEP is not used in 64bits mode).

So, the impact of this bug is:

 - win8 32 bit won't boot out of the box
 - it won't affect certification of the drivers
 - win2k12 is x64 only, so it's not affected
Comment 16 juzhang 2013-01-04 00:48:19 EST
(In reply to comment #15)
> Clarifiying a few issues, please correct me if I'm wrong:
> 
> The MS certifications is about the drivers only, not the hypervisor
> configuration, so we should be fine in adding -cpu ... +sep to qemu cmd line
> 
> The problem affects only 32bits versions of win8 (SEP is not used in 64bits
> mode).
Does libvirt or rhelm will boot guest with +sep by default? If no, seems need to file separate against libvirt and rhelm.
Comment 17 Eduardo Habkost 2013-01-04 04:27:21 EST
(In reply to comment #16)
> (In reply to comment #15)
> > Clarifiying a few issues, please correct me if I'm wrong:
> > 
> > The MS certifications is about the drivers only, not the hypervisor
> > configuration, so we should be fine in adding -cpu ... +sep to qemu cmd line
> > 
> > The problem affects only 32bits versions of win8 (SEP is not used in 64bits
> > mode).
> Does libvirt or rhelm will boot guest with +sep by default? If no, seems
> need to file separate against libvirt and rhelm.

They don't, but this is why this is a qemu-kvm bug, not a libvirt bug. They (correctly) do not expect +sep to be necessary as SEP is supposed to be included in the predefined CPU models.
Comment 18 Alves 2013-02-01 11:02:06 EST
I am affected by this bug. Is there work around with RHEL 6.3 under the current kernel 2.6.32-279.19.1.el6.x86_64 ? I can upgrade to a beta version of the kernel if necessary. Please advise.
Comment 19 Alves 2013-02-04 01:45:55 EST
Dear Gentlemen, please raise alert. I installed a server with Beta 6.4, and the bug is still there. I tried also forcing NX and SEP, but the same issue. So this is not fixed. I can give access to Redhat engineer to my system via VNC, so he may see the problem.
Should I open a new bug or we may continue here??

If we don't fix KVM, the enterprise is going ignore it.
Comment 20 Mike Cao 2013-02-04 02:05:03 EST
(In reply to comment #19)
> Dear Gentlemen, please raise alert. I installed a server with Beta 6.4, and
> the bug is still there. I tried also forcing NX and SEP, but the same issue.
> So this is not fixed. I can give access to Redhat engineer to my system via
> VNC, so he may see the problem.
> Should I open a new bug or we may continue here??
> 
> If we don't fix KVM, the enterprise is going ignore it.

I can not reproduce your issue w/ 2.6.32-338.el6.x86_64 & qemu-kvm-rhev-0.12.1.2-2.331.el6.x86_64 /

Pls provide your qemu-kvm commandline,qemu-kvm(-rhev) & kernel version
Comment 22 Peter Krempa 2013-03-08 04:37:48 EST
*** Bug 907556 has been marked as a duplicate of this bug. ***
Comment 25 Bandan Das 2013-05-14 11:16:03 EDT
*** Bug 916568 has been marked as a duplicate of this bug. ***
Comment 32 Itamar Heim 2013-07-04 06:05:01 EDT
(In reply to Eduardo Habkost from comment #2)
> Changing summary for clarity.
> 
> SEP was disabled as part of the fix for Bug 745717 (making migration work
> properly). This bug is about enabling the feature on hosts that have the SEP
> feature enabled.

Eduardo, can you please elaborate on which hosts are expected to have this feature (specific models I assume)?
Comment 33 Eduardo Habkost 2013-07-04 14:03:18 EDT
(In reply to Itamar Heim from comment #32)
> (In reply to Eduardo Habkost from comment #2)
> > Changing summary for clarity.
> > 
> > SEP was disabled as part of the fix for Bug 745717 (making migration work
> > properly). This bug is about enabling the feature on hosts that have the SEP
> > feature enabled.
> 
> Eduardo, can you please elaborate on which hosts are expected to have this
> feature (specific models I assume)?

I am not aware of any existing Intel CPU that supports VMX and does not suport SEP. Even the "pentium2" CPU model has it enabled.
Comment 36 Bandan Das 2013-07-23 15:04:41 EDT
> Hi, Bandan and Eduardo
>
> For this bug, we will verify the following scenarios:
>
> (1) Install win8-32 and win8.1-32 guest on the latest qemu-kvm with "-M
> rhel6.5.0" machine type. And make sure guests are installed successfully.
>
> (2) Install win8-32 guest on the latest qemu-kvm with lower machine type <=
> rhel6.4.0. Make sure issue still exist.
>
> (3) Cross version migration test between latest RHEL6.5 host and
> RHEL6.4/6.3/6.2/6.1/6.0 host with the older machine types of course.  Make sure
> migration finish smoothly. And for this test, can not test win8-32 or win8.1-32
> because can not boot it up with lower machine type than rhel6.5.0. So will
> select some other guests (eg: rhel6.5 and win2012) to make sure no regression
> are introduced.
>
> Could you help check if these are enough for the verification?

Hi Qunfang,

Yes, I think this should suffice. Testing a known failure case (1 and 2 above) are the important ones. Testing a known working case should be covered by 3, there's no way to try this with older machine types unless we supply +sep but that won't be a valid test point for this bug.
Comment 37 Qunfang Zhang 2013-07-23 22:53:13 EDT
Hi, Eduardo and Bandan

Thanks a lot for your useful comments.
Comment 38 Qunfang Zhang 2013-07-25 02:41:24 EDT
Verified the bug with the (1) and (2) items in comment 34 on qemu-kvm-0.12.1.2-2.379.el6.x86_64. 

And for the item (3), we will add Eduardo's comment to the guest stable abi test cases. And will verify item (3) after we run a round of function test for "guest stable abi" later.

(1) Install win8-32 and win8.1-32 guest on the latest qemu-kvm with "-M rhel6.5.0" 

Result: The guest win8-32 and win8.1-32 can be installed successfully, reboot and shutdown it, work well. 

 /usr/libexec/qemu-kvm -cpu SandyBridge -M rhel6.5.0 -enable-kvm -m 2048 -smp 2,sockets=2,cores=1,threads=1 -name win8 -uuid 3f82207c-4822-40f3-8381-816be579edff -nodefconfig -nodefaults -monitor stdio -rtc base=utc,clock=host,driftfix=slew -no-kvm-pit-reinjection -no-shutdown -device piix3-usb-uhci,id=usb,bus=pci.0,addr=0x1.0x2 -device virtio-serial-pci,id=virtio-serial0,bus=pci.0,addr=0x7 -drive file=/home/win8-32.qcow2,if=none,id=drive-virtio-disk0,format=qcow2,cache=none -device virtio-blk-pci,scsi=off,bus=pci.0,addr=0x5,drive=drive-virtio-disk0,id=virtio-disk0 -drive file=en_windows_8_enterprise_x86_dvd_917587.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0,bootindex=1 -netdev tap,id=hostnet0,vhost=on -device virtio-net-pci,netdev=hostnet0,id=net0,mac=52:54:00:d5:51:8a,bus=pci.0,addr=0x3 -chardev pty,id=charserial0 -device isa-serial,chardev=charserial0,id=serial0 -chardev socket,id=channel1,path=/tmp/hello1,server,nowait -device virtserialport,chardev=channel1,name=port1,bus=virtio-serial0.0,id=port1 -chardev socket,id=channel2,path=/tmp/hello2,server,nowait -device virtserialport,chardev=channel2,name=port2,bus=virtio-serial0.0,id=port2 -chardev spicevmc,id=charchannel0,name=vdagent -device virtserialport,bus=virtio-serial0.0,nr=3,chardev=charchannel0,id=channel0,name=com.redhat.spice.0 -device usb-tablet,id=input0 -vnc :11 -vga std -device intel-hda,id=sound0,bus=pci.0,addr=0x4 -device hda-duplex,id=sound0-codec0,bus=sound0.0,cad=0 -device virtio-balloon-pci,id=balloon0,bus=pci.0,addr=0x6 -drive file=/home/virtio-win-1.6.5_x86.vfd,if=none,id=drive-fdc0-0-0,format=raw,cache=none -global isa-fdc.driveA=drive-fdc0-0-0 -qmp tcp:0:5556,server,nowait -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0

(2) Install win8-32 and win8.1-32 guests on the latest qemu-kvm with lower machine type <= rhel6.4.0. Make sure issue still exist.

Result: Can not install the guest with machine type <= rhel6.4.0 if do not append "+sep" flag.
Comment 42 errata-xmlrpc 2013-11-21 00:46:03 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

http://rhn.redhat.com/errata/RHSA-2013-1553.html

Note You need to log in before you can comment on or make changes to this bug.